# Linked Data Modeling Language: Specification

Authors:

 - Chris Mungall, Lawrence Berkeley National Laboratory 
 - Harold Solbrig, Johns Hopkins University

## Abstract

The Linked Data Modeling Language (LinkML) is a language for working with and specifying the structure of *instance* data. A LinkML *schema* (aka model or datamodel) describes the structure of instance data, and specifies *valid* instances and rules for performing *inference* over instance data.

This document defines the structure of instance data using a functional-style syntax, and defines the structure of a particular class of instance data, a *LinkML schema*, and the rules for these schemas.

## Notes

More information about LinkML can be found on the [LinkML site](https://linkml.io), which includes introductory material and tutorials. It also includes a reference implementation and set of tools for working with LinkML schemas and data.

The specification provided here is intended to be independent of any particular tool or implementation.

### Status of this specification

This is a draft specification open from comments to all.

### License

This specification, like all parts of LinkML in the public domain under a Creative Commons Zero license waiver.

